Texa Desk Application API · Help center
Add a new category
POST/
Add a new category to portal
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
idstringrequiredThe slug identifier of the portal
Body application/json
namestringThe name of the category
descriptionstringA description for the category
positionintegerCategory position in the portal list to sort
slugstringThe category slug used in the URL
localestringThe locale of the category
iconstringThe icon of the category as a string (emoji)
parent_category_idintegerTo define parent category, e.g product documentation has multiple level features in sales category or in engineering category.
associated_category_idintegerTo associate similar categories to each other, e.g same category of product documentation in different languages
Responses
200Success
idintegerdescriptionstringThe text content.
localestringnamestringslugstringpositionintegerportal_idintegeraccount_idintegerassociated_category_idintegerTo associate similar categories to each other, e.g same category of product documentation in different languages
parent_category_idintegerTo define parent category, e.g product documentation has multiple level features in sales category or in engineering category.
403Access denied
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring